# GNUmakefile          Section: 10.3, Line Detection using the Hough Transform
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES	=
CLOSUREOBJS		=

HEADERS	= hough.h  find-max-points.h find-max-points.c
LOBJS	= hough.o

SOURCES	= hough.h hough.c \
	  find-max-points.h find-max-points.c \
	  test-hough.c  plot-lines.c  hough-inverse.c
TESTS	= test-hough    plot-lines    hough-inverse

ARL		=
EXTRAINCLUDES	=
CPPFLAGS	=

OUTPUT_OPTION	=
TARGET_ARCH	=
XTRAFLAGS	=
XTRACCFLAGS	=

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################
include	../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

ifeq (${LIBTEST},)

hough.o: hough.h hough.c

test-hough.o:	test-hough.c  hough.h

test-hough: test-hough.o hough.o
	$(LINK.cc) -o $@ $@.o hough.o $(LDLIBS)
	strip $@


find-max-points.srcs:	find-max-points.h find-max-points.c

hough-inverse: hough-inverse.o find-max-points.srcs hough.o
	$(LINK.cc) -o $@ $@.o  hough.o $(LDLIBS)
	strip $@

hough-line.o:	hough-line.h hough-line.c

plot-lines.o:	plot-lines.c hough.h find-max-points.srcs hough-line.h

plot-lines:	plot-lines.o hough.o find-max-points.srcs hough-line.o
	${LINK.cc} -o $@ $@.o hough.o hough-line.o ${LDLIBS}
	strip $@

else

test-hough.o:	test-hough.c

hough-inverse.o:	hough-inverse.c

plot-lines.o:	plot-lines.c
endif

